Gecode::Kernel::GPI::Info Class Reference

Class for storing propagator information. More...

`#include <gpi.hpp>`

## Public Member Functions

void | init (unsigned int pid, unsigned int gid)
| Initialize.

## Public Attributes

unsigned int | pid
| Propagator identifier.
unsigned int | gid
| Group identifier.
double | afc
| The afc value.

## Detailed Description

Class for storing propagator information.

Definition at line 42 of file gpi.hpp.

## Member Function Documentation

## init()

void Gecode::Kernel::GPI::Info::init | ( | unsigned int | pid,
|  | unsigned int | gid )

inline

Initialize.

Definition at line 105 of file gpi.hpp.

## Member Data Documentation

## pid

unsigned int Gecode::Kernel::GPI::Info::pid

Propagator identifier.

Definition at line 45 of file gpi.hpp.

## gid

unsigned int Gecode::Kernel::GPI::Info::gid

Group identifier.

Definition at line 47 of file gpi.hpp.

## afc

double Gecode::Kernel::GPI::Info::afc

The afc value.

Definition at line 49 of file gpi.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/gpi.hpp